function [a,b,parname] = opensam(filename)
% this function reads the sample file generated by SIMLAB
% Legend:
% a = SIMLAB parameters vector, where 
%     a(2) is the # of runs
%     a(3) is the # of parameters
% b = the matrix of the data (factors per column)
% parname = char matrix with the factor names per rows
% if the argument parname is omitted by the calling routine, no names are read 

fid=fopen(filename,'r');
a = fscanf(fid,'%i',[1 4]);
b = fscanf(fid,'%g',[a(3) a(2)]); 
b = b';

if nargout>2
   fgetl(fid);
   for j=1:2+2*a(3)+5,
      fgetl(fid);
   end
   parname=fgetl(fid);
   for i=2:a(3)
      for j=1:5
         fgetl(fid);
      end
      parname=str2mat(parname,fgetl(fid));
   end
end
fclose(fid);
